# Pyserini Release Notes (v0.16.0)

**Release date: March 1, 2022**

+ Reorganized `pyserin.search` into `lucene`, `faiss`, `nmslib`, and `hybrid` sub-packages.
+ Installed new Lucene pre-built indexes for uniCOIL on MS MARCO V1 and V2.
+ Installed new Lucene pre-built indexes for doc2query on MS MARCO V1 and V2.
+ Installed Faiss pre-built indexes for Mr.TyDi (v1.1).
+ Added missing uniCOIL pre-encoded queries and bindings.
+ Added DKRR.
+ Added GAR-T5.
+ Added IRST for MS MARCO.
+ Improved QA evaluation utils.
+ Cleaned up LTR code for MS MARCO.
+ Removed `SimpleNearestNeighborSearcher` and related code.

## Contributors (This Release)

Sorted by number of commits:

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Lingwei Gu ([lingwei-gu](https://github.com/lingwei-gu))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Habeeb Shopeju ([HAKSOAT](https://github.com/HAKSOAT))
+ Hang Li ([hanglics](https://github.com/hanglics))
+ Pradeesh ([prasys](https://github.com/prasys))
+ Jiahao Liang ([jh8liang](https://github.com/jh8liang))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Vivian Liu ([vivianliu0](https://github.com/vivianliu0))

## All Contributors

All contributors with more than one commit, sorted by number of commits, [according to GitHub](https://github.com/castorini/pyserini/graphs/contributors):

+ Jimmy Lin ([lintool](https://github.com/lintool))
+ Xueguang Ma ([MXueguang](https://github.com/MXueguang))
+ Yuqi Liu ([yuki617](https://github.com/yuki617))
+ Johnson Han ([x65han](https://github.com/x65han))
+ Stephanie Hu ([stephaniewhoo](https://github.com/stephaniewhoo))
+ Xinyu (Crystina) Zhang ([crystina-z](https://github.com/crystina-z))
+ Arthur Chen ([ArthurChen189](https://github.com/ArthurChen189))
+ Ronak Pradeep ([ronakice](https://github.com/ronakice))
+ Jack Lin ([jacklin64](https://github.com/jacklin64))
+ Hang Li ([hanglics](https://github.com/hanglics))
+ Chris Kamphuis ([Chriskamphuis](https://github.com/Chriskamphuis))
+ Zeynep Akkalyoncu Yilmaz ([zeynepakkalyoncu](https://github.com/zeynepakkalyoncu))
+ Xinyu Mavis Liu ([x389liu](https://github.com/x389liu))
+ Sailesh Nankani ([saileshnankani](https://github.com/saileshnankani))
+ Pepijn Boers ([PepijnBoers](https://github.com/PepijnBoers))
+ Dahlia Chehata ([Dahlia-Chehata](https://github.com/Dahlia-Chehata))
+ Manveer Tamber ([manveertamber](https://github.com/manveertamber))
+ Jingtao Zhan ([jingtaozhan](https://github.com/jingtaozhan))
+ Hang Cui ([HangCui0510](https://github.com/HangCui0510))
+ Qing Guo ([qguo96](https://github.com/qguo96))
+ Marko Arezina ([mrkarezina](https://github.com/mrkarezina))
+ Rodrigo Nogueira ([rodrigonogueira4](https://github.com/rodrigonogueira4))
+ Tommaso Teofili ([tteofili](https://github.com/tteofili))
+ Kai Sun ([KaiSun314](https://github.com/KaiSun314))
+ Lingwei Gu ([lingwei-gu](https://github.com/lingwei-gu))
+ Xuntian Lin ([apokali](https://github.com/apokali))
+ Matt Yang ([justram](https://github.com/justram))
+ Larry Li ([larryli1999](https://github.com/larryli1999))
+ Shengyao Zhuang ([ArvinZhuang](https://github.com/ArvinZhuang))
+ David Duan ([RootofalleviI](https://github.com/RootofalleviI))
+ Mayank Anand ([mayankanand007](https://github.com/mayankanand007))
+ Vivian Liu ([vivianliu0](https://github.com/vivianliu0))
+ Nima Sadri ([nimasadri11](https://github.com/nimasadri11))
+ Cash Costello ([cash](https://github.com/cash))
+ Yuxuan Ji ([yuxuan-ji](https://github.com/yuxuan-ji))
+ stekiri ([stekiri](https://github.com/stekiri))
+ Joel Mackenzie ([JMMackenzie](https://github.com/JMMackenzie))
+ Yuetong Wang ([AlexWang000](https://github.com/AlexWang000))
+ Oleg Lesota ([olesota](https://github.com/olesota))
